#ifndef GLOBALS_H
#define GLOBALS_H

#include <Graphics.hpp>
#include "box.h"
#include "CoordSpace2Img.h"
#include "CoordSpaceChg.h"

#define D_INF_ACKERMANN 0
#define D_SUP_ACKERMANN 1
#define X_INF_ACKERMANN -3
#define X_SUP_ACKERMANN 7
#define Y_INF_ACKERMANN -3
#define Y_SUP_ACKERMANN 7

#define D_INF_RAYTRACING 1
#define D_SUP_RAYTRACING 10
#define X_INF_RAYTRACING -0.5
#define X_SUP_RAYTRACING 0.5
#define Y_INF_RAYTRACING -0.5
#define Y_SUP_RAYTRACING 0.5

#define EPSILON_DICHOTHOMIE 0.0001

#define NB_COMPONENTS_FBOX_AND_1 (2+1)
#define NB_COMPONENTS_RBOX_AND_1 (3+1)

#define ACKERMANN 1
#define RAYTRACING 2

#define sigma 0.5


#endif // GLOBALS_H