#ifndef FCNS_H
#define FCNS_H


#include "box.h"
#include "globals.h"


interval Chii(const interval a,const interval b,const interval c);

void Bisect(interval& x, interval& x1, interval& x2);

double sqr(double x);

box fbox(interval x, interval y, interval z);

box gbox(box P, interval d);

box gradgdbox(box P, interval d);

box gradfxbox(interval x, interval y, interval z);

box gradfybox(interval x, interval y, interval z);

box gradfzbox(interval x, interval y, interval z);

interval gmin(box P, interval d);

interval gradgdmin(box P, interval d);

interval gradfxmin(interval x, interval y, interval z);

interval gradfymin(interval x, interval y, interval z);

interval gradfzmin(interval x, interval y, interval z);

double pAckermann(double p1, double p2, double s);


#endif // FCNS_H





