//---------------------------------------------------------------------------

#ifndef MainFormUnitH
#define MainFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "cv.h"
#include "cxcore.h"
#include "cvaux.h"
#include "highgui.h"
#include "Sivia.h"
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// Composants grs par l'EDI
        TImage *MainImage;
        TMainMenu *MainFormMainMenu;
        TStatusBar *MainFormStatusBar;
        TMenuItem *FileMenu;
        TMenuItem *OpenFileSubMenu;
        TMenuItem *SaveFileSubMenu;
        TMenuItem *ComputeMenu;
        TMenuItem *ComputeDrawComputeSubMenu;
        TMenuItem *ComputeDrawProgressComputeSubMenu;
        TRadioGroup *ModeRadioGroup;
        TRadioButton *RayTracingRadioButton;
        TRadioButton *AckermannRadioButton;
        TLabel *TimeElapsedLabel;
        TPaintBox *FcnsPaintBox;
        TPaintBox *ImpulseResponsePaintBox;
        TPaintBox *PolesPaintBox;
        TPaintBox *PolyPaintBox;
        TMenuItem *ComputeDrawBoxesComputeSubMenu;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        void __fastcall OpenFileSubMenuClick(TObject *Sender);
        void __fastcall SaveFileSubMenuClick(TObject *Sender);
        void __fastcall ComputeDrawComputeSubMenuClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall RayTracingRadioButtonClick(TObject *Sender);
        void __fastcall AckermannRadioButtonClick(TObject *Sender);
        void __fastcall MainImageMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall ComputeDrawProgressComputeSubMenuClick(
          TObject *Sender);
		void __fastcall InitMainImageRayTracing(void);
		void __fastcall InitMainImageAckermann(void);
		void __fastcall DrawFcns(int X, int Y, double px, double py);
		void __fastcall DrawImpulseResponse(int X, int Y, double px, double py);
		void __fastcall DrawPoles(int X, int Y, double px, double py);
		void __fastcall DrawPoly(int X, int Y, double px, double py);
        void __fastcall ComputeDrawBoxesComputeSubMenuClick(
          TObject *Sender);
private:	// Dclarations utilisateur
public:		// Dclarations utilisateur
	repere MainImageRepere;
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
